<?
include 'config.php';
include 'func.php';
head();
aut();
ban();

$id = num($_GET['nk']);
$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$id."'"));
$golos = num($_GET['a']);

if (empty($user['id'])){
echo "Юзер не найден<br/>";
navig();
foot();
exit();
}

if ( $golos > 100 AND $golos == 0 ) {
echo "Ошибка.<br/>";
navig();
foot();
exit();
}

if ( $user[id] == $id_session) {
echo "Вы не можете за себя голосовать.<br/>";
navig();
foot();
exit();
}

if ($golos <=10) {
mysql_query ("Select * from add_rayting WHERE (user_1 = '".$user['id']."') AND (user_2 = '".$id_session."')");
if(mysql_affected_rows()==1) {
echo "Вы уже голосовали.<br/>";
navig();
foot();
exit();
} 
}

if ( ($user['vip'] > time()) AND ($golos < 5) ) {

echo "У пользователя имунитет на оценки меньше 5<br/>";
navig();
foot();
exit();
 
}

if (empty($_GET['comp'])) {
    
    if ($user['sex'] == 0) $pol = 'для нее:'; else $pol = 'для него:';
    if ($sex_session == 0) $pol1 = 'Ты поставила'; else $pol1 = 'Ты поставил';
    echo $pol1 . ' оценку ' .$golos.'. Выбери один из комплиментов' . $pol;
    
    if ($user['sex'] == 1) {
        echo '<form action="add_rating2.php?a='.$golos.'&nk='.$user['id'].'&comp=1" method="post" name="form">';
        echo '<input type="radio" name="comp" value="1"/>Красивый<br/>';
        echo '<input type="radio" name="comp" value="2"/>Мужественный<br/>';
        echo '<input type="radio" name="comp" value="3"/>Божественный<br/>';
        echo '<input type="radio" name="comp" value="4"/>Жгучий<br/>';
        echo '<input type="radio" name="comp" value="5"/>Дерзкий<br/>';
        echo '<input type="radio" name="comp" value="6"/>Скромный<br/>';
        echo '<input type="radio" name="comp" value="7"/>Стильный<br/>';
        echo '<input type="radio" name="comp" value="8"/>Сладкий<br/><br/>';
    }else{
        echo '<form action="add_rating2.php?a='.$golos.'&nk='.$user['id'].'&comp=1" method="post" name="form">';
        echo '<input type="radio" name="comp" value="9"/>Красивая<br/>';
        echo '<input type="radio" name="comp" value="10"/>Женственная<br/>';
        echo '<input type="radio" name="comp" value="11"/>Божественная<br/>';
        echo '<input type="radio" name="comp" value="12"/>Жгучая<br/>';
        echo '<input type="radio" name="comp" value="13"/>Дерзкая<br/>';
        echo '<input type="radio" name="comp" value="14"/>Скромная<br/>';
        echo '<input type="radio" name="comp" value="15"/>Стильная<br/>';
        echo '<input type="radio" name="comp" value="16"/>Сладкая<br/><br/>';        
    }
    
    echo '<b>Или напиши свой:</b><br/><textarea id="tarea" name="msg" cols="30" rows="5" style="width: 99%;"></textarea><br/>';
    echo '<input name="submit" type="submit" class="button" value="Отправить" /></form><br/><b>Ты получишь 1 монету за отправленный комплимент</b><br/>';
    
} else {
    
    
    
if ($golos <= 10)
$result = mysql_query("INSERT INTO `add_rayting` SET `user_1` = '".$user['id']."', `user_2` = '".$id_session."', `golos` = '".$golos."'");

else {
    
    if ($vip_session < time() AND ($golos == 25 AND $many_session < 10) OR ($golos == 100 AND $many_session < 25)) {
        echo 'У вас не достаточно средств';
        navig();
        foot();
        exit();
        } else {
    
    $result = mysql_query("INSERT INTO `add_rayting` SET `user_1` = '".$user['id']."', `user_2` = '".$id_session."', `golos` = '".$golos."'");
    
    if ($vip_session < time()) {
    if ($golos == 25)
    mysql_query("UPDATE `profile` SET `many` = '".($many_session - 10)."' WHERE `id` = '".$id_session."'");
    }
    
    if ($golos == 100)
    mysql_query("UPDATE `profile` SET `many` = '".($many_session - 25)."' WHERE `id` = '".$id_session."'");
    }
    
    
}
if ($result != NULL) {
    
if (isset($_POST['msg']) || isset($_POST['comp'])) {
    if ($sex_session == 0) $pol = 'оценила'; else $pol = 'оценил';
        if (!empty($_POST['msg'])) {
            
            
            $msg = 'Я '.$pol.' тебя на <b>'.$golos.'</b>. И считаю что ты '.html($_POST['msg']);
        } else {
            $msg = 'Я '.$pol.' тебя на <b>'.$golos.'</b>. И считаю что ты '.ocenk($_POST['comp']);
        }
        
        mysql_query("update profile set many = '".($many_session+1)."' where id='".$id_session."'");
    } else {
        echo NULL;
    }
        mysql_query("INSERT INTO `uvedom` SET  `msg` = '".$msg."', `md` = 'golos', `user_to` = '".$user['id']."', `user_ot` = '".$id_session."', `date` = '".time()."', `status` = '1'");    


echo rew($user['id']);



} else
echo 'Возникла ошибка';


}
?>